// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	// Remove Recipes 
	event.remove({output:'minecraft:bread'})
	// Add Recipes fo AE
	event.recipes.mekanism.enriching('appliedenergistics2:certus_quartz_crystal', 'minecraft:quartz')
	event.recipes.mekanism.combining('appliedenergistics2:charged_certus_quartz_crystal', 'appliedenergistics2:certus_quartz_crystal', 'minecraft:redstone')
	// Recipes for flight
	event.shaped(Item.of('minecraft:elytra', {Damage:0}), [
    'RSR',
    'RJR',
    'R R'
  ], {
    S: Item.of('mekanismtools:steel_shield', {Damage:0}),
	J: Item.of('simplyjetpacks:jetpack_vanilla4', {ParticleType:1}),
	R: 'mekanism:ingot_refined_obsidian'
  })
	// Vanilla Recipes
	event.shaped('4x minecraft:chest', [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: '#minecraft:logs' 
  })
    event.shaped(Item.of('minecraft:stick', 16), [
    'S',
    'S',
    ' '
  ], {
    S: '#minecraft:logs'
  })

})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})



R: Item.of('minecraft:oak_log', 30) 
'4x minecraft:chest'